<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"	
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">
  
  <xsl:template name="ssv-got-nul-point-by-year">

	    
	    <div id="ssv-got-nul-point-by-year" style="display: none;">

<!-- Got nul-point in the final -->
<xsl:text>
PREFIX rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt;
PREFIX xsd:  &lt;http://www.w3.org/2001/XMLSchema#&gt;
PREFIX dc:   &lt;http://purl.org/dc/elements/1.1/&gt;
PREFIX gsdlextracted: &lt;http://greenstone.org/gsdlextracted#&gt;

SELECT (xsd:integer(?year) as ?Year) (COUNT(?year) AS ?freqCount)		 
WHERE {
    GRAPH &lt;</xsl:text><xsl:value-of select="$graphURI"/><xsl:text>&gt;  {
        ?esc_entrant_uri gsdlextracted:Country ?country.
        ?esc_entrant_uri gsdlextracted:Year ?year.

        ?esc_entrant_uri gsdlextracted:VoteGrandTotal ?total.
        BIND(xsd:integer(?total) AS ?total_int).
        FILTER(?total_int = 0).   
   }
}
GROUP BY ?year
ORDER BY ASC(?year)
</xsl:text>
	    </div>
	    <div id="ssv-got-nul-point-by-year-chart" style="display: none;">
<!-- -->
<xsl:text>
google.visualization.ColumnChart
</xsl:text>
	    </div>
	    <div id="ssv-got-nul-point-by-year-chart-options" style="display: none;">
<!-- -->
<xsl:text>
title=Occurrence by year of countries receiving &quot;nul point&quot; in the final|height=300|chartArea.height=240|fontSize=11|vAxis.maxValue=6|hAxis.title=Year|hAxis.maxValue=2019|vAxis.title=Occurrences|hAxis.ticks=[1956,1958,1960]|hAxis.format='|legend=none
</xsl:text>
	    </div>

	    <div id="ssv-got-nul-point-by-year-div-style" style="display: none;">
<!-- -->
<xsl:text>
width:900px; height:300px; margin-left: auto; margin-right: auto; overflow-y: hidden; overflow-x: hidden;  
</xsl:text>

    </div>

  </xsl:template>
	
</xsl:stylesheet>  
	    
